<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@2CB6</action>
      <action>temp1 =maincpu.mb@2CB7</action>
    </script>
    <script state="run">
      <action>maincpu.mb@2CB6=38</action>
      <action>maincpu.mb@2CB7=EA</action> <!-- Change 'cmp  #$07' to sec, nop to force the following BCS to branch -->
    </script>
    <script state="off">
      <action>maincpu.mb@2CB6=temp0 </action>
      <action>maincpu.mb@2CB7=temp1 </action>
    </script>
  </cheat>

  <cheat desc="No Fleas and Scorpions">
    <script state="run">
      <action>maincpu.pb@0070=F8</action>
    </script>
  </cheat>

  <cheat desc="No Spiders">
    <script state="run">
      <action>maincpu.pb@0061=FF</action>
    </script>
  </cheat>

  <cheat desc="No Spider sound">
    <script state="run">
      <action>maincpu.pb@00B5=00</action>
    </script>
  </cheat>

  <cheat desc="Alter Flea Behaviour 1">
    <script state="run">
      <action>maincpu.pb@0070=3B</action>
    </script>
  </cheat>

  <cheat desc="Alter Flea Behaviour 2">
    <script state="run">
      <action>maincpu.pb@0040=2C</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@00A5=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@00A6=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
